controllers:
  resource:
    path: ../src/Controller/
    namespace: App\Controller
  type: attribute
api_accounts_get_all:
  path: /api/accounts
  controller: App\Controller\AccountsController::getAllAccounts
  methods: GET

api_accounts_get_pending:
  path: /api/accounts/pending
  controller: App\Controller\AccountsController::getAllPendingAccounts
  methods: GET

api_accounts_get_archived:
  path: /api/accounts/archive
  controller: App\Controller\AccountsController::getAllArchivedAccounts
  methods: GET

api_accounts_get_archived_by_region:
  path: /api/accounts/archive/{region}
  controller: App\Controller\AccountsController::getAllArchivedAccountsByRegion
  methods: GET

api_accounts_create:
  path: /api/accounts
  controller: App\Controller\AccountsController::createAccount
  methods: POST

create_account_bulk:
  path: /api/accounts-bulk
  controller: App\Controller\AccountsController::createBulkAccount
  methods: POST

create_workplace_bulk:
  path: /api/workplaces-bulk
  controller: App\Controller\WorkplaceController::createBulkWorkplace
  methods: POST

create_users_bulk:
  path: /api/users-bulk
  controller: App\Controller\UsersController::createBulkUsers
  methods: POST

api_accounts_update:
  path: /api/accounts/{id}
  controller: App\Controller\AccountsController::updateAccount
  methods: PUT

api_accounts_wp_delete:
  path: /api/accounts/{id}
  controller: App\Controller\AccountsController::deleteAccWorkplace
  methods: DELETE

api_accounts_assignee_delete:
  path: /api/assignee/{id}
  controller: App\Controller\AccountsController::deleteAssignee
  methods: DELETE

api_accounts_archive:
  path: /api/accounts/archive
  controller: App\Controller\AccountsController::archiveAccount
  methods: POST

api_accounts_archive_bulk:
  path: /api/accounts/bulk-archive
  controller: App\Controller\AccountsController::archiveBulkAccount
  methods: POST

api_accounts_get_details:
  path: /api/accounts/{id}
  controller: App\Controller\AccountsController::getAccountDetails
  methods: GET
api_get_workplaces:
  path: /api/workplaces
  controller: App\Controller\AccountsWorkplacesController::getWorkplaces
  methods: GET

speciality_list:
  path: api/specialities
  controller: App\Controller\SpecialityMasterController::list
  methods: GET

speciality_show:
  path: api/specialities/{id}
  controller: App\Controller\SpecialityMasterController::show
  methods: GET

speciality_create:
  path: api/specialities/create
  controller: App\Controller\SpecialityMasterController::create
  methods: POST

speciality_update:
  path: api/specialities/update/{id}
  controller: App\Controller\SpecialityMasterController::update
  methods: PUT

speciality_delete:
  path: api/specialities/delete/{id}
  controller: App\Controller\SpecialityMasterController::delete
  methods: DELETE

location_regions:
  path: api/regions
  controller: App\Controller\LocationController::regions
  methods: GET

location_regions_show:
  path: api/regions/{id}
  controller: App\Controller\LocationController::show
  methods: GET

location_regions_create:
  path: api/regions/create
  controller: App\Controller\LocationController::create
  methods: POST

location_regions_update:
  path: api/regions/update/{id}
  controller: App\Controller\LocationController::update
  methods: PUT

location_states_with_accounts:
  path: api/states-with-accounts
  controller: App\Controller\LocationController::statesWithAccounts
  methods: GET

lgas_by_states_w_accounts:
  path: api/lgasByStates-with-accounts
  controller: App\Controller\LocationController::lgasByStatesWithAccounts
  methods: POST

location_states:
  path: api/states
  controller: App\Controller\LocationController::states
  methods: GET

location_states_show:
  path: api/states-details/{id}
  controller: App\Controller\LocationController::showStates
  methods: GET

location_states_create:
  path: api/states/create
  controller: App\Controller\LocationController::createStates
  methods: POST

location_states_update:
  path: api/states/update/{id}
  controller: App\Controller\LocationController::updateStates
  methods: PUT

location_lgas:
  path: api/lgas
  controller: App\Controller\LocationController::lgas
  methods: GET

location_lgas_show:
  path: api/lgas-details/{id}
  controller: App\Controller\LocationController::showLgas
  methods: GET

location_lgas_create:
  path: api/lgas/create
  controller: App\Controller\LocationController::createLgas
  methods: POST

location_lgas_update:
  path: api/lgas/update/{id}
  controller: App\Controller\LocationController::updateLgas
  methods: PUT

location_territories:
  path: api/territories
  controller: App\Controller\LocationController::territories
  methods: GET

location_territories_with_users:
  path: api/territories-with-users
  controller: App\Controller\LocationController::territoriesWithUsers
  methods: GET

location_territories_delete:
  path: api/territories-delete
  controller: App\Controller\LocationController::territoriesDelete
  methods: POST

location_territories_show:
  path: api/territories-details/{id}
  controller: App\Controller\LocationController::showTerritories
  methods: GET
location_territories_create:
  path: api/territories/create
  controller: App\Controller\LocationController::createTerritories
  methods: POST

location_territories_update:
  path: api/territories/update/{id}
  controller: App\Controller\LocationController::updateTerritories
  methods: PUT

location_update_territory:
  path: api/territory/updateLGAs
  controller: App\Controller\LocationController::updateLGAsByTerritory
  methods: POST

location_update_region:
  path: api/region/updateStates
  controller: App\Controller\LocationController::updateStatesByRegion
  methods: POST

location_delete_states_by_region:
  path: api/region/deleteStates
  controller: App\Controller\LocationController::deleteStatesByRegion
  methods: POST

location_delete_lga_by_territorry:
  path: api/territory/deleteLGA
  controller: App\Controller\LocationController::deleteLGAByTerritory
  methods: POST

location_lgas_by_statename:
  path: api/lgas/{name}
  controller: App\Controller\LocationController::lgasByStateName
  methods: GET

location_lgas_by_states:
  path: api/lgasByStates
  controller: App\Controller\LocationController::lgasByStates
  methods: POST

location_states_by_territory:
  path: api/states/{name}
  controller: App\Controller\LocationController::statesByTerritory
  methods: GET

location_territories_by_region:
  path: api/territories/{name}
  controller: App\Controller\LocationController::territoriesByRegion
  methods: GET

create_user:
  path: /api/users
  controller: App\Controller\UsersController::createCodixUser
  methods: POST

list_users:
  path: /api/users
  controller: App\Controller\UsersController::getAllUsers
  methods: GET

list_users_by_status:
  path: /api/users-by-status
  controller: App\Controller\UsersController::getAllUsersByStatus
  methods: GET

user_login:
  path: /api/user/login
  controller: App\Controller\UsersController::login
  methods: POST

user_logout:
  path: /api/user/logout
  controller: App\Controller\UsersController::logout
  methods: GET

get_roles:
  path: api/roles
  controller: App\Controller\UsersController::getRoles
  methods: GET
  # defaults:
  #   _check_token: true

count_user_by_territory:
  path: api/employees-count/{territoryName}
  controller: App\Controller\UsersController::countUserByTerritory
  methods: GET

product-upload-image:
  path: /api/product/upload-image
  controller: App\Controller\ProductController::uploadImage
  methods: POST

product:
  path: /api/product
  controller: App\Controller\ProductController::create
  methods: POST

api_product_archive:
  path: /api/product/archive
  controller: App\Controller\ProductController::archiveProduct
  methods: POST

product_list:
  path: /api/products
  controller: App\Controller\ProductController::list
  methods: GET

product_details:
  path: /api/product/{id}
  controller: App\Controller\ProductController::productDetails
  methods: GET

product_list_all:
  path: /api/products/all
  controller: App\Controller\ProductController::listAll
  methods: GET

product_delete_image:
  path: /api/product/{id}
  controller: App\Controller\ProductController::deleteExistingFileFromS3
  methods: DELETE

api_get_workplace:
  path: /api/workplace
  controller: App\Controller\WorkplaceController::getWorkplace
  methods: GET

api_get_workplace_by_region:
  path: /api/workplace/list-by-region/{region}
  controller: App\Controller\WorkplaceController::listWorkplacesByRegion
  methods: GET

api_get_workplace_by_status:
  path: /api/workplace/status/{status}
  controller: App\Controller\WorkplaceController::getWorkplaceByStatus
  methods: GET

api_post_workplace:
  path: /api/workplace
  controller: App\Controller\WorkplaceController::createWorkplace
  methods: POST

api_get_workplace_details:
  path: /api/workplace/{id}
  controller: App\Controller\WorkplaceController::getWorkplaceDetails
  methods: GET

api_get_workplace_type:
  path: /api/workplaceType
  controller: App\Controller\WorkplaceController::getWorkplaceType
  methods: GET

api_update_workplace:
  path: /api/workplace/{id}
  controller: App\Controller\WorkplaceController::updateWorkplace
  methods: PUT

user_by_id:
  path: /api/users/{id}
  controller: App\Controller\UsersController::getUserById
  methods: GET

user_upd_status:
  path: /api/users/updateUserStatus/{id}
  controller: App\Controller\UsersController::uppdateUserStatus
  methods: PUT

user_upd:
  path: /api/users/{id}
  controller: App\Controller\UsersController::updateUser
  methods: PUT

users_by_territory:
  path: /api/users/sales
  controller: App\Controller\UsersController::getUsersByTerritory
  methods: POST

meetings:
  path: /api/meetings
  controller: App\Controller\MeetingController::list
  methods: GET

meeting_details:
  path: /api/meetings/{id}
  controller: App\Controller\MeetingController::show
  methods: GET

meeting_list_by_accid:
  path: /api/meetings-by-accid/{id}
  controller: App\Controller\MeetingController::listMeetingsByAccId
  methods: GET

meeting_list_by_userid:
  path: /api/meetings-by-user/{id}
  controller: App\Controller\MeetingController::listMeetingsByUserId
  methods: GET

meeting_list_by_region:
  path: /api/meetings/list-by-region/{region}
  controller: App\Controller\MeetingController::listMeetingsByRegion
  methods: GET

sessions_list_by_accid:
  path: /api/sessions-by-accid/{id}
  controller: App\Controller\SessionController::listSessionsByAccId
  methods: GET

sessions_list_by_region:
  path: /api/sessions/list-by-region/{region}
  controller: App\Controller\SessionController::listSessionsByRegion
  methods: GET

meetings_create:
  path: /api/meetings
  controller: App\Controller\MeetingController::create
  methods: POST

meeting_update:
  path: /api/meetings/{id}
  controller: App\Controller\MeetingController::update
  methods: PUT

account_upd_status:
  path: /api/accounts/updateStatus/{id}
  controller: App\Controller\AccountsController::updateAccountStatus
  methods: PUT

sessions_create:
  path: /api/create-session
  controller: App\Controller\SessionController::createSession
  methods: POST

sessions_list:
  path: /api/codixsessions
  controller: App\Controller\SessionController::getSessions
  methods: GET

sessions_list_by_userid:
  path: /api/codixsessions/{userId}
  controller: App\Controller\SessionController::getSessionsByUserId
  methods: GET

sessions_list_by_id:
  path: /api/codixsessions/details/{id}
  controller: App\Controller\SessionController::getSessionsById
  methods: GET

archived_product_list:
  path: /api/products/archive
  controller: App\Controller\ProductController::listArchiveProducts
  methods: GET

product_cats:
  path: /api/product-categories
  controller: App\Controller\ProductController::listCategories
  methods: GET

product_subcats:
  path: /api/product-subcategories/{name}
  controller: App\Controller\ProductController::listSubCategories
  methods: GET

product_update:
  path: /api/product/{id}
  controller: App\Controller\ProductController::update
  methods: PUT

api_accounts_get_by_userid:
  path: /api/accounts-by-user/{guid}
  controller: App\Controller\AccountsController::getAccountsByUserId
  methods: GET

api_accounts_get_by_region:
  path: /api/accounts/list-by-region/{region}
  controller: App\Controller\AccountsController::getAccountsByRegion
  methods: GET

workplace_list_by_filters:
  path: /api/workplaces-filter
  controller: App\Controller\WorkplaceController::listWorkplacesByFilters
  methods: POST

meeting_list_by_filters:
  path: /api/meetings-filter
  controller: App\Controller\MeetingController::listMeetingsByFilters
  methods: POST

session_list_by_filters:
  path: /api/sessions-filter
  controller: App\Controller\SessionController::listSessionsByFilters
  methods: POST

api_accounts_get_all_by_filter:
  path: /api/accounts-filter
  controller: App\Controller\AccountsController::getAllAccountsByFilter
  methods: POST

api_accounts_get_pending_by_region:
  path: /api/accounts/pending-list-by-region/{region}
  controller: App\Controller\AccountsController::getAllPendingAccountsByRegion
  methods: GET

api_prospects_get_by_userid:
  path: /api/prospects-by-user/{guid}
  controller: App\Controller\WorkplaceController::getProspectsByUserId
  methods: GET

api_prospects_assignees:
  path: /api/workplace-assignees/{id}
  controller: App\Controller\WorkplaceController::getProspectAssignees
  methods: GET
